Bug 25669 - PS/2 mouse doesn't work correctly
PS/2 mouse doesn't work correctly
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-02-02 04:13 EST by david
Modified: 2007-04-18 12:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-02-16 05:40:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description david 2001-02-02 04:13:45 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

PS/2 mouse doesn't work with XFree86 4.x and kernel-2.4.x It's not working 
in installer too. My computers motherboard is asus P3B-F and mouse is 
standard Logitech PS/2 wheel mouse. Mouse cursor jumps to upper right 
corner of the screen and just sits there. My mouse worked very well with 
3.3.x versions of XFree. I there is anything that i can do to get more 
information to resolve this, then please ask :)

Reproducible: Always
Steps to Reproduce:
1. Start up X
2. Move the mouse
3. There you have it, the cursor is like clued to upper right corner

Expected Results:  Well, normal mouse movement is, what i expected ;)
Comment 1 Glen Foster 2001-02-02 18:08:27 EST
We (Red Hat) should really fix this before the next release.
Comment 2 Nalin Dahyabhai 2001-02-09 17:02:36 EST
Just a guess, but my own Logitech wheel mouse works when configured as an
Intellimouse, but not when configured as a Mouseman+.  If you use
/usr/sbin/mouseconfig (either directly or from /sbin/setup) to change the mouse
protocol used, does X then work correctly?
Comment 3 Nalin Dahyabhai 2001-02-09 17:03:01 EST
Urk, /sbin/setup doesn't exist.  The proper path is /usr/sbin/setup.
Comment 4 david 2001-02-16 04:18:30 EST
Well, i got time to test beta install with PS/2 3 button logitech mouse and 
this time everyting works. So i guess, that it's related to my wheelmouse 
somehow. If i get time again, i'll try to get my wheel mouse working again.
Comment 5 david 2001-02-16 05:40:23 EST
I changed my mouse to MouseMan+/FirstMouse+ PS/2 with mouseconfig and it 
mouse works :)
Comment 6 Mike A. Harris 2001-02-22 12:25:16 EST
It works for me, and it looks like it works for you now as well so I am
closing the bug

Note You need to log in before you can comment on or make changes to this bug.